#include<iostream>
#include<string>
using namespace std;
bool palindrom(string t){
int i=0;
while(i<t.length()){
    if(t[i]!=t[t.length()-i-1])return false;
    i++;
}
return true;
}
int main(){
ios_base::sync_with_stdio(false);
string t;
cin>>t;
int i=0,j=t.length()-1;
if(palindrom(t))cout<<"1";
else while(i<j&&j>i){
    if(t[i]!=t[j]){
    cout<<j-i;
    break;}
    i++;
    j--;
}
return 0;
}